Skip to main content

Start transaction

POST{{server}}/api/v1/counter/transaction/start

After ticket calling, the clerk should start transaction on ticket service(s). To start a transaction on the ticket, call this endpoint with the following parameters:

Request

  • ticket (string, required): The called ticket key

  • task (string, required): The key of the chosen task from tasks array on the ticket.

  • autoStart (boolean): Flag for statistics, whether the transaction started automatically or manually by clerk.

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"autoStart": false
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/transaction/start' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"task": "{{ticketTaskKey}}",
"autoStart": false
}'

Example​

Example request
POST{{server}}/api/v1/counter/transaction/start
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1905ee5f-dbe2-4dfc-dd29-9ad2056f437f",
"task": "1905ee5f-dbc7-4ac8-61a9-c9f961034f1b",
"autoStart": false
}
Example response 204 No Content
No response body